> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getTerminatedUsers

> 
The `getTerminatedUsers` API retrieves comprehensive information about all users who have been terminated within a company.

### What it does:

- Provides user data for employees and contractors who have been terminated

### Notes:

- Terminated user data may need to be retained for compliance and to resolve outstanding tax withholdings
- Returns the same fields as `getUsers`, which can be used to retrieve a full list of activated, deactivated and terminated users




## OpenAPI

````yaml get /reports/getTerminatedUsers
openapi: 3.0.1
info:
  title: Default module
  description: ''
  version: 1.0.0
servers: []
security:
  - basic: []
tags: []
paths:
  /reports/getTerminatedUsers:
    get:
      tags: []
      summary: getTerminatedUsers
      description: >

        The `getTerminatedUsers` API retrieves comprehensive information about
        all users who have been terminated within a company.


        ### What it does:


        - Provides user data for employees and contractors who have been
        terminated


        ### Notes:


        - Terminated user data may need to be retained for compliance and to
        resolve outstanding tax withholdings

        - Returns the same fields as `getUsers`, which can be used to retrieve a
        full list of activated, deactivated and terminated users
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                  title: getTerminatedUsers
                  example: getTerminatedUsers
                companyId:
                  type: string
                  format: uuid
                workerType:
                  type: string
                  enum:
                    - W2
                    - 1099-NEC
              required:
                - method
                - companyId
                - workerType
            example:
              method: getTerminatedUsers
              companyId: 4c27f783-681a-4a7a-aaf2-03c719f5c9fc
              workerType: W2
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  user:
                    type: array
                    items:
                      type: object
                      properties:
                        user:
                          type: string
                        userId:
                          type: string
                        companyId:
                          type: string
                        status:
                          type: object
                          properties:
                            userStatus:
                              type: string
                          required:
                            - userStatus
                        firstName:
                          type: string
                        lastName:
                          type: string
                        middleName:
                          type: string
                        personalEmail:
                          type: string
                        phoneNumber:
                          type: string
                        kycStatus:
                          type: string
                        jobTitle:
                          type: string
                        dateOfJoin:
                          type: string
                        email:
                          type: string
                        userWages:
                          type: array
                          items:
                            type: object
                            properties:
                              userWorkerType:
                                type: object
                                properties:
                                  workerType:
                                    type: string
                                required:
                                  - workerType
                        userAddress:
                          type: object
                          properties:
                            address1:
                              type: string
                            address2:
                              type: string
                            city:
                              type: string
                            state:
                              type: string
                            zipcode:
                              type: string
                            country:
                              type: string
                          required:
                            - address1
                            - address2
                            - city
                            - state
                            - zipcode
                            - country
                required:
                  - user
              example:
                user:
                  - user: Nelson Mandor
                    userId: 842A1486-6947-4095-88E0-0FE8ADB8C266
                    companyId: 4C27F783-681A-4A7A-AAF2-03C719F5C9FC
                    status:
                      userStatus: Terminate
                    firstName: Nelson
                    lastName: Mandor
                    middleName: null
                    personalEmail: hhjj@mail.com
                    phoneNumber: '7788589652'
                    kycStatus: passed
                    jobTitle: HR
                    dateOfJoin: '2023-05-29'
                    email: nelson789@mail.com
                    userWages:
                      - userWorkerType:
                          workerType: W2
                    userAddress:
                      address1: 663 Calle Tulipan
                      address2: null
                      city: Thousand Oaks
                      state: CA
                      zipcode: '91360'
                      country: US
          headers: {}
      deprecated: false
      security:
        - basic: []
components:
  securitySchemes:
    basic:
      type: http
      scheme: basic

````